QR Code not working: "SyntaxError: Unexpected token '<'"

Posted 6 months ago by Julian Fan

Post a topic
Answered
J
Julian Fan

When trying to add a QR Code to the design, it gives the "SyntaxError: Unexpected token '<'" error.


This issue happens from FPD 6.0.2 to 6.0.9.


(I'm using Classic WordPress theme with only Woocommerce enabled, the issue still persists)

0 Votes

J

Julian Fan posted 6 months ago Best Answer

Sorry for posting a duplicated topic. Here is the solution on the thread about the same issue:

"Yes, I solved it by talking to the hosting operator, he disabled the mod_security rule for domains using this plugin."


It works for me. I hope this information helps the developers enhance the compatibility of the plugin!

0 Votes


2 Comments

Sorted by
J

Julian Fan posted 6 months ago Answer

Sorry for posting a duplicated topic. Here is the solution on the thread about the same issue:

"Yes, I solved it by talking to the hosting operator, he disabled the mod_security rule for domains using this plugin."


It works for me. I hope this information helps the developers enhance the compatibility of the plugin!

0 Votes

FPD Helper

FPD Helper posted 6 months ago

Hello Julian, 


This usually happens when a server responds with an error page (often in HTML format) instead of the expected JSON response. If you are sure, any theme or plugin is not creating a conflict, then, check your server's error logs. This might give more insight into what's causing the error. 


Thanks

0 Votes

Login or Sign up to post a comment